# "The Freeloader" AR15 Magazine Loader
A magLula-style AR15 magazine loader with options using a milspec ar15 magazine catch or integrated plastic mag catch

by freeman1337

## Description
This is an magLula-inspired 3D printable AR15 magazine speed loader. Initial versions of this model use a milspec AR15 magazine catch, though a 100% 3d printable version with an integrated plastic catch is also included here. This loader allows for fast loading (and unloading) of AR15 magazines. Using between 50-70 grams of filament (depending on which version you print), this model can be printed for around $3 of PLA+ filament (a 10X savings over purchasing an OEM loader. I encourage you to support magLula by purchasing their magazine loaders if you enjoy their style of products, but the intent behind this print is to be able to cheaply print a bunch, and throw them into range bags/ammo cans/etc in order to save ones thumbs/quickly unload mags without expending excess ammo.

## Changelog
v1-Inital public release
v0.4-Release Candidate
v0.3-Fits together as intended, but the dovtail on the bottom is a bit too loose - tightening up those dimensions.
v0.2-Works, but uses too much filament - redesigning the exterior to use less
v0.1-First printed version - not feeding well, redesign internal profile

## Materials Required
You will need a set of each below for each [x] you make.
- x1 PLA+ filament of your choosing. Extensive testing done using esun PLA+ and Overture PLAPro

- x1 milspec ar15 magazine catch (optional)

## Print Settings: 

Here are the more important print settings. These settings were generated using and Ender 3 Pro with a 0.4mm nozzle: 

Quality: 
  Layer Height: 
      Body | 0.3mm
Shell: 
      Wall Line Count | 10
      Outer Wall Wipe Distance | 0.3
      Top/Bottom thickness | 1.92
      Top Layers: 80
      
Infill: 
      Infill | 20%
      Pattern | lines
      
Material: 
      Print Temp | 217 C
      Bed Temp | 60 C
      
Speed: 
      Print Speed | 50 mm/s
      Infill Speed | 60 mm/s
      Outer Wall Speed | 30 mm/s
      Inner Wall Speed | 60 mm/s
      Top/Bottom Speed | 40mm/s

Travel: 
      Enable Retraction | True
      Combing Mode | all
      
Cooling: 
      Enable Print Cooling | True
      Fan Speed | 85%
      
Support: 
      Generate Support | True
      Support Structure | Tree
      Support Placement | Touching Build Plate
      Support Overhang Angle | autogenerate
      
## Instructions

01. Peel the parts off of the print bed. Though I have both required parts printed at the same time, printing each part individually is recommended.

02. Remove all supports from whichever loader body you choose to print.

03. Remove supports from Loader Lever. Cleanup all edges as required for smooth function.

04. Insert the lever into the body.

05. Pull the lever all the way through, and seat it in the required position.

06). Finished: your loader is complete and ready to use.  

Note: If you’ve printed a version using a milspec mag catch, it installs as any AR15 mag catch would be installed. If it doesn’t go together easily, cleanup the loader body until the catch functions smoothly. This may be extensive if the printer producing the body isn’t well tuned.

## Usage - Loading

01). Insert a magazine into the body of the loader, ensure it is retained by the mag catch.

02). Using the lever, depress the mag follower on the so that the first round may be slid into place.

03). Moving the lever back and forth to insert subsequent rounds, continue loading the magazine until full.

NOTE: If using the version with an integrated mag catch, the loader may want to come off the magazine when loading the last few rounds (depending on actual print settings/material/etc). If this happens, lightly holding the plastic mag catch in place on the last few rounds helps to prevent the mag loader from being released prematurely.

## Usage - Loading

01). Insert a loaded magazine into the loader body

02). turn the magazine and loader down so that loaded rounds will fall downwards.

03). Move the lever back and forth, allowing rounds to fall out of the loaded magazine. Continue until magazine is empty.

## License
GPL v3.1 - resulting prints may not be sold for commercial purposes or financial gain.
